Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class IntHashtable.IntHashtableIterator

    java.lang.Object
      com.lowagie.text.pdf.IntHashtable.IntHashtableIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  IntHashtable

    static class IntHashtable.IntHashtableIterator

extends java.lang.Object
implements java.util.Iterator

Field Summary
`(package private) IntHashtable.Entry` | `entry`
`(package private) int` | `index`
`(package private) IntHashtable.Entry[]` | `table`

Constructor Summary
`IntHashtable.IntHashtableIterator(IntHashtable.Entry[] table)`

Method Summary
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    int index

### table

    IntHashtable.Entry[] table

### entry

    IntHashtable.Entry entry

Constructor Detail

### IntHashtable.IntHashtableIterator

    IntHashtable.IntHashtableIterator(IntHashtable.Entry[] table)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD